<html ng-app="myAppClimate">
    <head>
        <title>My Climate App</title>
        <link rel="stylesheet" href="css/bootstrap.min.css"/>
    </head>
    <body  ng-controller="climateCtrl">
        <div class="container-fluid py-3">
            <div class="row ">
                <div class="col-12">
                    <ul class="nav nav-tabs" id="myTab" role="tablist">
                        <li class="nav-item">
                            <a class="nav-link active" id="city-tab" data-toggle="tab" href="#city" role="tab" aria-controls="city" aria-selected="true">City</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" id="lonlat-tab" data-toggle="tab" href="#lonlat" role="tab" aria-controls="lonlat" aria-selected="false">longitude & latitude</a>
                        </li>
                    </ul>
                </div>            
            </div>
        </div>
        <div class="container py-5">
            <div class="tab-content" id="myTabContent">
                <div class="tab-pane fade show active" id="city" role="tabpanel" aria-labelledby="city-tab">
                    City Name: 
                    <input type="text" class="form-control" ng-model="name.city" list="country" />
                    <datalist id="country" class="px-3">
                      <option value="{{city.name}}" data-cus ="{{city.code}}" ng-repeat = "city in cityArray">
                    </datalist>
                    <br>
                    <br>
                    <input type="button" class="px-3 bg-success" ng-click = "getCity(name)" value="getWeather" >
                </div>
                <div class="tab-pane fade" id="lonlat" role="tabpanel" aria-labelledby="lonlat-tab">
                    longitute: 
                    <input type="text" class="form-control" ng-model="name.long"><br>
                    <br>
                    latitude:
                    <input type="text" class="form-control" ng-model="name.lat"><br>
                    <br>
                    <input type="number" class="form-control" ng-model="name.con"><br>
                    <br>
                    <input type="button" class="px-3 bg-success" ng-click = "getCity(name)" value="getWeather">
                
                </div>
            </div>
        </div>
        
        <div class="result container p-3">
            <div ng-repeat = "head in resultWthr " class="row">
                <div ng-repeat = "(key , value) in head" class="col-3 text-center">
                    <h5>{{key}} : </h5> <h2>{{value}}</h2>
                </div>
            </div>
        </div>
        <script src="js/angular.js"></script>
        <script src="js/jquery.js"></script>
        <script src="js/bootstrap.min.js"></script>
        <script src="controllers/climateCtrl.js"></script>
        <script src="controllers/service.js"></script>
        
    </body>
</html>